admin

ViPNet Coordinator (Linux) Ubuntu 14.04

32 сообщения в этой теме

ViPNet Coordinator (Linux) завели на Ubuntu 14.04. Могу написать подробный пост об этом при условии, что это кому-нибудь нужно.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

ты имеешь ввиду криптошлюз?

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Я имею ввиду ПО

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

если нетрудно, кинь мне на мыло

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Напишите, пожалуйста. И, может быть подскажите, как проинициализировать дистрибутив как клиент? Инфы не густо, а нужен именно клиент, координатор у нас свой на виндах...

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Напишите, пожалуйста. И, может быть подскажите, как проинициализировать дистрибутив как клиент? Инфы не густо, а нужен именно клиент, координатор у нас свой на виндах...

А никак... в линуксе один дистрибутив для координатора и для клиента, все зависит от установленного ключа

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Так народ беда...Випнет работает на 14.04 если ядро 3.6.11 впилить ручками... Но у меня жестко не стабильно сама ОС работает. Вылетает по поводу и без. Как найду причину опишу все манипуляции, которые делал 

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Напишите, пожалуйста. И, может быть подскажите, как проинициализировать дистрибутив как клиент? Инфы не густо, а нужен именно клиент, координатор у нас свой на виндах...

К сожалению здесь только пользователи (клиенты) VipNet. С координаторами дело не имели. Но координатор Linux инициируется как клиент тем-же ключевым дистрибутивом, что и для клиента Windows.

По поводу установки VipNet на убунту 14.04:

1. Системя должна быть 32 битной.

2. Нужно взять последний дистрибутив VipNet  (сейчас это версия 3.7.4) отсюда: http://www.infotecs.ru/downloads/product_demo.php?id_product=3655

для этого надо будет зарегистрироваться у них на сайте.

3. В ununtu надо установить последнее ядро версии 3.6.х

  а) для этого (на текущий момент) идем сюда: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.6.11-raring/

скачиваем три .deb файла в одну папку:

linux-headers-3.6.11-030611-generic_3.6.11-030611.201212171335_i386.deb

linux-headers-3.6.11-030611_3.6.11-030611.201212171335_all.deb

linux-image-3.6.11-030611-generic_3.6.11-030611.201212171335_i386.deb

  б) устанавливаем эти три пакета, для это заходим в папку где лежат эти файлы и командой:

sudo dpkg -i *.deb

ставим их.

  в) перезагружаемся на установленную версию ядра.

Возможно для этого придется поправить файл: /etc/default/grub, закомментировать в нем пару строк, а имено эти

#GRUB_HIDDEN_TIMEOUT=0

#GRUB_HIDDEN_TIMEOUT_QUIET=true

чтобы при перезагрузке была возможность выбора нужной версии ядра.

После корректировки файла /etc/default/grub не забываем дать команду:

sudo update-grub

 

После перезагрузки и выбора версия ядра 3.6 (надо зайти во второй пункт меню загрузки grub и там выбрать),

версию ядра 3.11 можно (скорее нужно) удалить, чтобы каждый раз не выбирать версию при загрузке, либо править

конфигурацию grub, чтобы по умолчанию грузилась нужная версия ядра (я, честно-говоря, это не осилил).

 

После перехода на нужную версию ядра дистрибутив vipnet ставится также как и в ubuntu 10.04

(читаем документацию в папке docs VipNet дистрибутива 3.7.4)

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

 

Напишите, пожалуйста. И, может быть подскажите, как проинициализировать дистрибутив как клиент? Инфы не густо, а нужен именно клиент, координатор у нас свой на виндах...

К сожалению здесь только пользователи VipNet. С координаторами дело не имели. Но координатор Linux инициируется как клиент тем-же ключевым дистрибутивом, что и для клиента Windows.

По поводу установки VipNet на убунту 14.04:

1. Системя должна быть 32 битной.

2. Нужно взять последний дистрибутив VipNet  (сейчас это версия 3.7.4) отсюда: http://www.infotecs.ru/downloads/product_demo.php?id_product=3655

для этого надо будет зарегистрироваться у них на сайте.

3. В ununtu надо установить последнее ядро версии 3.6.х

  а) для этого (на текущий момент) идем сюда: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.6.11-raring/

скачиваем три .deb файла в одну папку:

linux-headers-3.6.11-030611-generic_3.6.11-030611.201212171335_i386.deb

linux-headers-3.6.11-030611_3.6.11-030611.201212171335_all.deb

linux-image-3.6.11-030611-generic_3.6.11-030611.201212171335_i386.deb

  б) устанавливаем эти три пакета, для это заходим в папку где лежат эти файлы и командой:

sudo dpkg -i *.deb

ставим их.

  в) перезагружаемся на установленную версию ядра.

Возможно для этого придется поправить файл: /etc/default/grub, закомментировать в нем пару строк, а имено эти

#GRUB_HIDDEN_TIMEOUT=0

#GRUB_HIDDEN_TIMEOUT_QUIET=true

чтобы при перезагрузке была возможность выбора нужной версии ядра.

После корректировки файла /etc/default/grub не забываем дать команду:

sudo update-grub

 

После перезагрузки и выбора версия ядра 3.6 (надо зайти во второй пункт меню загрузки grub и там выбрать),

версию ядра 3.11 можно (скорее нужно) удалить, чтобы каждый раз не выбирать версию при загрузке, либо править

конфигурацию grub, чтобы по умолчанию грузилась нужная версия ядра (я, честно-говоря это не осилил).

 

После перехода на нужную версию ядра дистрибутив vipnet ставится также как и в ubuntu 10.04

(читаем документацию в папке docs VipNet дистрибутива 3.7.4)

 

Ты у себя не суетился? А то у меня Юнити падает раз в минут 10 на ядре 3.6.11 с рабочим випнетом, а с 3.13 нормально все работает. Хотя я до это намудрил много в ОС, может и не из-за випнета это все 

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Так народ беда...Випнет работает на 14.04 если ядро 3.6.11 впилить ручками... Но у меня жестко не стабильно сама ОС работает. Вылетает по поводу и без. Как найду причину опишу все манипуляции, которые делал 

Скорее всего это "болезнь" всех "свежих" дистрибутивов... Ну и, конечно, видимо "неродная" версия ядра мешает.

Так что либо пока на 12.04 LTS оставаться, либо ждать "устаканивания" 14.04

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

 

Так народ беда...Випнет работает на 14.04 если ядро 3.6.11 впилить ручками... Но у меня жестко не стабильно сама ОС работает. Вылетает по поводу и без. Как найду причину опишу все манипуляции, которые делал 

Скорее всего это "болезнь" всех "свежих" дистрибутивов... Ну и, конечно, видимо "неродная" версия ядра мешает.

Так что либо пока на 12.04 LTS оставаться, либо ждать "устаканивания" 14.04

 

хотя сейчас квип из под вайна не запускал все пашет нормально) короче щас посмотрю как дальше пойдет, если стабильно пахать будет описание в шапку и усе)

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Ты у себя не суетился? А то у меня Юнити падает раз в минут 10 на ядре 3.6.11 с рабочим випнетом, а с 3.13 нормально все работает. Хотя я до это намудрил много в ОС, может и не из-за випнета это все

У меня нет возможности "вживую" с установленным випнетом играть :( .

14.04 установил в VirtualBox "чиста попробывать".

ключей для VipNet у меня всего 6 и все в работе (5 регистратур и 1 - кадры)

А так, у меня рабочая станция на ubuntu 12.04 64-битная... Переустанавливать - не хочется, уже все под себя пристроил.

Но даже в ней иногда чего-то "крашится"... но несмертельно

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

квип под вайном в линукс - зло :)

Есть другие варианты: psi, gajim, pidgin или для упертых - tkabber :)

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

квип под вайном в линукс - зло :)

Есть другие варианты: psi, gajim, pidgin или для упертых - tkabber :)

я в курсе, просто ностальгия по qip проснулась) сам до этого psi пользовался

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Чтобы при включении удалить лишние строки из grub, нужно отредактировать файл /boot/grub/grub.cfg

Там есть блоки кода, заключенные в фигурные скобки, для каждой строки(версии ядра) при загрузке есть свой блок, в нем есть строки с названиями и версиями ядра, нужно просто закомментровать весь этот блок или удалить.

Только после редактирования НЕ обновлять grub командой update-grub, у меня после обновления конфиг восстанавливался.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Чтобы при включении удалить лишние строки из grub, нужно отредактировать файл /boot/grub/grub.cfg

Там есть блоки кода, заключенные в фигурные скобки, для каждой строки(версии ядра) при загрузке есть свой блок, в нем есть строки с названиями и версиями ядра, нужно просто закомментровать весь этот блок или удалить.

Только после редактирования НЕ обновлять grub командой update-grub, у меня после обновления конфиг восстанавливался.

ты в 14.04 запилил випнет??? на какое ядро???

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Чтобы при включении удалить лишние строки из grub, нужно отредактировать файл /boot/grub/grub.cfg

Там есть блоки кода, заключенные в фигурные скобки, для каждой строки(версии ядра) при загрузке есть свой блок, в нем есть строки с названиями и версиями ядра, нужно просто закомментровать весь этот блок или удалить.

Только после редактирования НЕ обновлять grub командой update-grub, у меня после обновления конфиг восстанавливался.

Про это мы в курсе. Как раз проблемы такие:

1. Чтобы при обновлении не слетало. (Есть еще файлик /etc/default/grub) в нем тоже кое-что можно настраивать.

2. Не понятно как сделать по умолчанию загрузку ядра находящегося в подменю загрузки grub.

Поэтому проще убрать (удалить) версии ненужных ядер linux и зафиксировать (заблокировать в synaptic) нужную версию ядра (ту которая работает с VipNet)

 

ты в 14.04 запилил випнет??? на какое ядро???

Подозреваю, что у них криптошлюз...

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
В 07.05.2014 в 09:21, cheshirskycat сказал:

К сожалению здесь только пользователи (клиенты) VipNet. С координаторами дело не имели. Но координатор Linux инициируется как клиент тем-же ключевым дистрибутивом, что и для клиента Windows.

По поводу установки VipNet на убунту 14.04:

1. Системя должна быть 32 битной.

2. Нужно взять последний дистрибутив VipNet  (сейчас это версия 3.7.4) отсюда: http://www.infotecs.ru/downloads/product_demo.php?id_product=3655

для этого надо будет зарегистрироваться у них на сайте.

3. В ununtu надо установить последнее ядро версии 3.6.х

  а) для этого (на текущий момент) идем сюда: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.6.11-raring/

скачиваем три .deb файла в одну папку:

linux-headers-3.6.11-030611-generic_3.6.11-030611.201212171335_i386.deb

linux-headers-3.6.11-030611_3.6.11-030611.201212171335_all.deb

linux-image-3.6.11-030611-generic_3.6.11-030611.201212171335_i386.deb

  б) устанавливаем эти три пакета, для это заходим в папку где лежат эти файлы и командой:

sudo dpkg -i *.deb

ставим их.

  в) перезагружаемся на установленную версию ядра.

Возможно для этого придется поправить файл: /etc/default/grub, закомментировать в нем пару строк, а имено эти

#GRUB_HIDDEN_TIMEOUT=0

#GRUB_HIDDEN_TIMEOUT_QUIET=true

чтобы при перезагрузке была возможность выбора нужной версии ядра.

После корректировки файла /etc/default/grub не забываем дать команду:

sudo update-grub

 

После перезагрузки и выбора версия ядра 3.6 (надо зайти во второй пункт меню загрузки grub и там выбрать),

версию ядра 3.11 можно (скорее нужно) удалить, чтобы каждый раз не выбирать версию при загрузке, либо править

конфигурацию grub, чтобы по умолчанию грузилась нужная версия ядра (я, честно-говоря, это не осилил).

 

После перехода на нужную версию ядра дистрибутив vipnet ставится также как и в ubuntu 10.04

(читаем документацию в папке docs VipNet дистрибутива 3.7.4)

 У меня потребовалось доустанавливать еще и пакет http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.6.11-raring/linux-image-extra-3.6.11-030611-generic_3.6.11-030611.201212171335_i386.deb

без него не работала клавиатура (USB) и были проблемы с видео - экран был странным образом сдвинут. Но и после установки пакета у меня  не пошла система на этом ядре. Все грузится, но не инициализируется экран. Я подозревал что он висит на этапе ввода пароля и ввел его вслепую, у меня загрузилось и высветилось окно входа в систему. Ввожу пароль повторно - экран перемаргивает и снова выдает мне окно ввода пароля... Фейл в общем.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

С помощью cheshirskycat

мне удалось довести до ума и запустить на реальном железе VipNet Coordinator 3.7.4 на Ubuntu 14.04.2 Mate.

Итак. Вы уловили разницу. Я использовал mate версию Убунты, как поддерживающую по больше железа. Я устанавливал 4ре пакета от соответствующего ядра:

linux-headers-3.6.11-030611_3.6.11-030611.201212171335_all.deb

linux-headers-3.6.11-030611-generic_3.6.11-030611.201212171335_i386.deb

linux-image-3.6.11-030611-generic_3.6.11-030611.201212171335_i386.deb

linux-image-extra-3.6.11-030611-generic_3.6.11-030611.201212171335_i386.deb

Без последнего у меня были глюки с отображением экрана и не работала USB клавиатура. Далее понадобилось установить gcc (sudo apt-get install gcc) и make (sudo apt-get install dkms). После этого я подкинул файлы ключей от одного из тонких клиентов, используемых не по назначению и установил VipNet без проблем. После установки попробовал - МИС открылась. Теперь осталось подпилить, отшлифовать, покрыть лаком и наслаждаться.

Ах! И о железе все это дело стоит на толстом клиенте первой поставки с Core i5 4Гб оперативки и 500 Гб HDD. Возможно нужны какие-то более детальные нюансы типа материнской платы, потому как все интегрированное, но их у меня нет. Как будет время просканировать систему, допишу.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Потестируй. Насколько стабильно работает? Ибо у меня она хоть и работала, но падала регулярно, поэтому как рабочее решения не айс

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
1 час назад, admin сказал:

Потестируй. Насколько стабильно работает? Ибо у меня она хоть и работала, но падала регулярно, поэтому как рабочее решения не айс

Падает регулярно. По-маленьку выпиливаю из нее лишнее, что точно роняло систему. Например pluma и просмоторщик документов Atril. И наверно последую совету cheshirskycat

попробую 3.2 low-latency запилить для пущей надежности

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Запустить ядро 3.2 lowlatency не удалось. Может не все пакеты установил? Стоят такие вот заголовки:

ii  linux-headers-3.2.0-23                     3.2.0-23.36                             all          Header files related to Linux kernel version 3.2.0
ii  linux-headers-3.2.0-23-lowlatency-pae      3.2.0-23.31                             i386         Linux kernel headers for version 3.2.0 on x86

и такие образы:

ii  linux-image-3.2.0-23-lowlatency            3.2.0-23.31                             i386         Linux kernel image for version 3.2.0 on x86/x86_64

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Я в виртуалке немного не так делал.

Подключил старые репозитории (от предыдущих дистрибутивов ubuntu - на это указывает слово precise), добавив в конец /etc/atp/sources.list

такие строчки:

deb http://ru.archive.ubuntu.com/ubuntu/ precise universe
deb-src http://ru.archive.ubuntu.com/ubuntu/ precise universe
deb http://ru.archive.ubuntu.com/ubuntu/ precise-updates universe
deb-src http://ru.archive.ubuntu.com/ubuntu/ precise-updates universe

deb http://ru.archive.ubuntu.com/ubuntu/ precise main
deb-src http://ru.archive.ubuntu.com/ubuntu/ precise main
deb http://ru.archive.ubuntu.com/ubuntu/ precise-updates main
deb-src http://ru.archive.ubuntu.com/ubuntu/ precise-updates main

Затем в консоли:

sudo apt-get update

Затем через синаптик нашел и отметил для установки пакеты linux-image-lowlatency-3.2.0-82 (это самые последние до верси lowlatency-3.13) и соответсвующие linux-headers-3.2.0-82-lowlatency (за полную точность написания имени не ручаюсь, но цифры версии такие).

При установке, у меня потребовало установить также пакет: rtirq-init

Потом, после установки перезагрузил и в меню загрузчика выбрал установленную версию - загрузился.

Но ощущения, что система стала заметно притормаживать, плюс для виртуалки не заработали дополнения virtualbox, На реальном железе, думаю, тоже могут быть  проблемы...

Хотя притормаживать могло и из-за того, что внутри системы с lowlatency ядром запущена виртуалка с lowlatency ядром, причем "древним" :)

 

(Основной принцип lowlatency, как я понял, - процессор чаще переключается между задачами, поэтому быстрее откликается на события, при этом общая производительность несколько снижается)

 

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
5 часов назад, cheshirskycat сказал:

 

 

...Затем через синаптик нашел и отметил для установки пакеты linux-image-lowlatency-3.2.0-82 (это самые последние до верси lowlatency-3.13) и соответсвующие linux-headers-3.2.0-82-lowlatency (за полную точность написания имени не ручаюсь, но цифры версии такие).

Добавил я репозитории, как ты показал - не находит у меня 3.2.0-82((

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Создайте аккаунт или войдите в него для комментирования

Вы должны быть пользователем, чтобы оставить комментарий

Создать аккаунт

Зарегистрируйтесь для получения аккаунта. Это просто!


Зарегистрировать аккаунт

Войти

Уже зарегистрированы? Войдите здесь.


Войти сейчас